API
Reddit API
Reddit bedient täglich etwa 121 Millionen aktive Nutzer und ist wichtig für Community-Einblicke, Reputationstracking, Produktfeedback und die Entdeckung von Nischen.
API-Referenz Version: 1.0.0 14 Endpunkte Authentifizierung
Basis-URL
https://api.pressmonitor.com Authentifizierung
Alle Anfragen verwenden die Authentifizierung mit Bearer-Token. Fügen Sie den Authorization-Header zu jedem Aufruf hinzu.
Authorization: Bearer YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/comments-by-username Kommentare nach Benutzername
Code-Beispiele
curl -X GET "https://api.pressmonitor.com/comments-by-username" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Antworten
200 Erfolg
GET
/get-cursor Cursor abrufen
Code-Beispiele
curl -X GET "https://api.pressmonitor.com/get-cursor" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Antworten
200 Erfolg
GET
/new-subreddits Neue Subreddits
Code-Beispiele
curl -X GET "https://api.pressmonitor.com/new-subreddits" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Antworten
200 Erfolg
GET
/popular-posts Beliebte Beiträge
Code-Beispiele
curl -X GET "https://api.pressmonitor.com/popular-posts" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Antworten
200 Erfolg
GET
/popular-subreddits Beliebte Subreddits
Code-Beispiele
curl -X GET "https://api.pressmonitor.com/popular-subreddits" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Antworten
200 Erfolg
GET
/post-details Beitragsdetails
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| post_url | string | query | Ja | Beitrags-URL |
Code-Beispiele
curl -X GET "https://api.pressmonitor.com/post-details?post_url=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Antworten
200 Erfolg
GET
/posts-by-subreddit Beiträge nach Subreddit
Code-Beispiele
curl -X GET "https://api.pressmonitor.com/posts-by-subreddit" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Antworten
200 Erfolg
GET
/posts-by-username Beiträge nach Benutzername
Code-Beispiele
curl -X GET "https://api.pressmonitor.com/posts-by-username" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Antworten
200 Erfolg
GET
/rising-popular-posts Aufstrebende Beliebte Beiträge
Code-Beispiele
curl -X GET "https://api.pressmonitor.com/rising-popular-posts" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Antworten
200 Erfolg
GET
/search-posts Beiträge durchsuchen
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| query | string | query | Ja | Suchanfrage |
Code-Beispiele
curl -X GET "https://api.pressmonitor.com/search-posts?query=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Antworten
200 Erfolg
GET
/search-subreddits Subreddits durchsuchen
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| query | string | query | Ja | Suchanfrage |
Code-Beispiele
curl -X GET "https://api.pressmonitor.com/search-subreddits?query=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Antworten
200 Erfolg
GET
/top-comments-by-username Top Kommentare nach Benutzername
Code-Beispiele
curl -X GET "https://api.pressmonitor.com/top-comments-by-username" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Antworten
200 Erfolg
GET
/top-popular-posts Top Beliebte Beiträge
Code-Beispiele
curl -X GET "https://api.pressmonitor.com/top-popular-posts" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Antworten
200 Erfolg
GET
/top-posts-by-username Top Beiträge nach Benutzername
Code-Beispiele
curl -X GET "https://api.pressmonitor.com/top-posts-by-username" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Antworten
200 Erfolg